# com-port-selection-tool

`comsel` — это простая библиотека на Python с использованием `wxPython` для выбора COM порта и скорости (baudrate) в графическом интерфейсе.

## Установка

Убедитесь, что у вас установлен Python версии 3.9 или выше. Затем установите библиотеку через `pip`:

```bash
pip install comsel
```

### Установка дополнительных зависимостей
Если библиотека установлена из исходников, убедитесь, что у вас установлены зависимости:

```bash
pip install -r requirements.txt
```

## Использование

Библиотека предоставляет удобную функцию для открытия окна выбора COM порта и скорости:

```python
from comsel.portSelect import select_com_port_and_baudrate

# Вызов функции выбора порта и скорости
port, baudrate = select_com_port_and_baudrate()

# Вывод результата
if port and baudrate:
    print(f"Выбран порт: {port}, скорость: {baudrate}")
else:
    print("Порт или скорость не были выбраны.")
```

### Пример запуска
1. Импортируйте функцию `select_com_port_and_baudrate` из модуля `comsel.portSelect`.
2. Вызовите функцию и обработайте результат.

## Особенности

- Поддержка автоматического обнаружения доступных COM портов.
- Возможность ручного ввода порта и скорости.
- Проверка на корректность введённых данных:
  - Формат порта должен соответствовать `COM1`, `COM2` и т.д.
  - Скорость должна быть в пределах от `1` до `1,000,000`.

## Требования

- Python 3.9+
- `wxPython`
- `pyserial`

## Скриншот приложения

![Пример работы приложения](docs/screenshot.png)

## Разработка

Если вы хотите внести изменения в проект:

1. Клонируйте репозиторий:
   ```bash
   git clone https://github.com/ваш_проект/comsel.git
   ```
2. Установите зависимости:
   ```bash
   pip install -r requirements.txt
   ```
3. Внесите изменения и протестируйте их.

## Лицензия

Этот проект распространяется под лицензией [MIT](LICENSE). Вы можете свободно использовать, изменять и распространять код.

## Контакты

Если у вас возникли вопросы или предложения, свяжитесь с автором:

- **Автор**: Molisc
- **Email**: ivanrudko445@gmail.com
